%define upstream_name	 Test-WWW-Mechanize
%define upstream_version 1.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Testing-specific WWW::Mechanize subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert::More) >= 1.160.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTTP::Message) >= 6.290.0
BuildRequires: perl(HTTP::Server::Simple) >= 0.420.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(LWP) >= 6.20.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 1.90.0
BuildRequires: perl(Test::LongString) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize) >= 1.680.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates features
for web application testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# change listening port
perl -pi -e 's/13432/17987/' t/TestServer.pm
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.600.0-2.mga10
+ Revision: 2216690
- Mageia 10 Mass Rebuild

* Thu Dec 08 2022 tv <tv> 1.600.0-1.mga9
+ Revision: 1919223
- update to 1.60

* Thu May 05 2022 tv <tv> 1.580.0-1.mga9
+ Revision: 1856237
- update to 1.58

* Tue Mar 29 2022 umeabot <umeabot> 1.540.0-2.mga9
+ Revision: 1831158
- Mageia 9 Mass Rebuild

* Thu Dec 10 2020 tv <tv> 1.540.0-1.mga8
+ Revision: 1655093
- update to 1.54

* Fri Feb 14 2020 umeabot <umeabot> 1.520.0-2.mga8
+ Revision: 1520757
- Mageia 8 Mass Rebuild

* Thu Dec 06 2018 tv <tv> 1.520.0-1.mga7
+ Revision: 1338666
- update to 1.52

* Thu Sep 20 2018 umeabot <umeabot> 1.500.0-2.mga7
+ Revision: 1286831
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 1.500.0-1.mga7
+ Revision: 1221593
- update to 1.50

* Tue Oct 03 2017 tv <tv> 1.480.0-2.mga7
+ Revision: 1166940
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 1.480.0-1.mga7
+ Revision: 1155494
- update to 1.48

* Sun Jun 19 2016 pterjan <pterjan> 1.440.0-10.mga6
+ Revision: 1034776
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.440.0-9.mga6
+ Revision: 948361
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 pterjan <pterjan> 1.440.0-8.mga5
+ Revision: 787565
- Remove wrong exclude

* Sat Oct 18 2014 umeabot <umeabot> 1.440.0-7.mga5
+ Revision: 787536
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-6.mga5
+ Revision: 749415
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.440.0-5.mga5
+ Revision: 736032
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-4.mga5
+ Revision: 686567
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.440.0-3.mga4
+ Revision: 515499
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 373903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 267514
- update to 1.44

* Tue Jun 05 2012 jquelin <jquelin> 1.420.0-1.mga3
+ Revision: 255813
- update to 1.42

* Sat Nov 05 2011 kharec <kharec> 1.380.0-1.mga2
+ Revision: 163538
- update to 1.38
+ jquelin <jquelin>
- update to 1.36

* Fri Jul 08 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 120506
- update to 1.34

* Fri Jun 17 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 108953
- update to 1.32

* Wed Jan 26 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 41128
- mageia rebuild
- imported package perl-Test-WWW-Mechanize


* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2011.0
+ Revision: 553058
- change listening port of test server
- adding missing buildrequires:
- update to 1.30

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.280.0-1mdv2010.1
+ Revision: 536216
- update to 1.28

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.0
+ Revision: 406188
- rebuild using %%perl_convert_version

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.1
+ Revision: 330915
- update to new version 1.24

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.20-2mdv2009.0
+ Revision: 268764
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.0
+ Revision: 194954
- update to new version 1.20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2008.1
+ Revision: 116171
- update to new version 1.18

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.16-2mdv2008.1
+ Revision: 109357
- rebuild

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2008.1
+ Revision: 105438
- new version

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 1.14-1mdv2008.0
+ Revision: 29046
- Update to new version 1.14


* Sat Jul 08 2006 Michael Scherer <misc@mandriva.org> 1.12-1mdv2007.0
- New release 1.12

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2007.0
- New version 1.10
- spec cleanup

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.08-4mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.08-3mdk
- Do not ship empty dir

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.08-2mdk
- fix BuildRequires

* Wed Dec 07 2005 Michael Scherer <misc@mandriva.org> 1.08-1mdk
- New release 1.08

* Sat Nov 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-4mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-3mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.06-1mdk
- First mandriva package

